### Method

# FwupdPlugin UdevDevice set_logical_id

since: 1.5.8

#### Declaration [src]

    gboolean
    fu_udev_device_set_logical_id (
      FuUdevDevice* self,
      const gchar* subsystem,
      GError** error
    )

#### Description [src]

Sets the logical ID from the device subsystem. Plugins should choose the subsystem that most relevant in the udev tree, for instance choosing `hid` over `usb` for a mouse device.

Available since: 1.5.8

#### Parameters

`subsystem`

  Type: `const gchar*`

  A subsystem string, e.g. `pci,usb`

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the logical device was set.